## linux 3.16.81

=== Makefile ===
VERSION = 3
PATCHLEVEL = 16
SUBLEVEL = 81
EXTRAVERSION =
NAME = Museum of Fishiegoodies

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Fake the "Entering directory" message once, so that IDEs/editors are
# able to understand relative filenames.
       echodir := @echo
 quiet_echodir := @echo
silent_echodir := @:
sub-make: FORCE
	$($(quiet)echodir) "make[1]: Entering directory \`$(KBUILD_OUTPUT)'"
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

ifneq ($(CC),)
ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang version"), 1)
COMPILER := clang
else
COMPILER := gcc
endif
export COMPILER
endif

# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \

=== drivers/pwm/Makefile ===
obj-$(CONFIG_PWM)		+= core.o
obj-$(CONFIG_PWM_SYSFS)		+= sysfs.o
obj-$(CONFIG_PWM_AB8500)	+= pwm-ab8500.o
obj-$(CONFIG_PWM_ATMEL)		+= pwm-atmel.o
obj-$(CONFIG_PWM_ATMEL_TCB)	+= pwm-atmel-tcb.o
obj-$(CONFIG_PWM_BCM_KONA)	+= pwm-bcm-kona.o
obj-$(CONFIG_PWM_BFIN)		+= pwm-bfin.o
obj-$(CONFIG_PWM_CLPS711X)	+= pwm-clps711x.o
obj-$(CONFIG_PWM_EP93XX)	+= pwm-ep93xx.o
obj-$(CONFIG_PWM_FSL_FTM)	+= pwm-fsl-ftm.o
obj-$(CONFIG_PWM_IMX)		+= pwm-imx.o
obj-$(CONFIG_PWM_JZ4740)	+= pwm-jz4740.o
obj-$(CONFIG_PWM_LP3943)	+= pwm-lp3943.o
obj-$(CONFIG_PWM_LPC32XX)	+= pwm-lpc32xx.o
obj-$(CONFIG_PWM_LPSS)		+= pwm-lpss.o
obj-$(CONFIG_PWM_MXS)		+= pwm-mxs.o
obj-$(CONFIG_PWM_PCA9685)	+= pwm-pca9685.o
obj-$(CONFIG_PWM_PUV3)		+= pwm-puv3.o
obj-$(CONFIG_PWM_PXA)		+= pwm-pxa.o
obj-$(CONFIG_PWM_RENESAS_TPU)	+= pwm-renesas-tpu.o
obj-$(CONFIG_PWM_SAMSUNG)	+= pwm-samsung.o
obj-$(CONFIG_PWM_SPEAR)		+= pwm-spear.o
obj-$(CONFIG_PWM_TEGRA)		+= pwm-tegra.o
obj-$(CONFIG_PWM_TIECAP)	+= pwm-tiecap.o
obj-$(CONFIG_PWM_TIEHRPWM)	+= pwm-tiehrpwm.o
obj-$(CONFIG_PWM_TIPWMSS)	+= pwm-tipwmss.o
obj-$(CONFIG_PWM_TWL)		+= pwm-twl.o
obj-$(CONFIG_PWM_TWL_LED)	+= pwm-twl-led.o
obj-$(CONFIG_PWM_VT8500)	+= pwm-vt8500.o

=== arch/mips/sgi-ip32/Makefile ===
#
# Makefile for the SGI specific kernel interface routines
# under Linux.
#

obj-y	+= ip32-berr.o ip32-irq.o ip32-platform.o ip32-setup.o ip32-reset.o \
	   crime.o ip32-memory.o

=== drivers/video/fbdev/Makefile ===
# Makefile for the Linux video drivers.
# 5 Aug 1999, James Simmons, <mailto:jsimmons@users.sf.net>
# Rewritten to use lists instead of if-statements.

# Each configuration option enables a list of files.

obj-y				+= core/

obj-$(CONFIG_EXYNOS_VIDEO)     += exynos/

obj-$(CONFIG_FB_MACMODES)      += macmodes.o
obj-$(CONFIG_FB_WMT_GE_ROPS)   += wmt_ge_rops.o

# Hardware specific drivers go first
obj-$(CONFIG_FB_AMIGA)            += amifb.o c2p_planar.o
obj-$(CONFIG_FB_ARC)              += arcfb.o
obj-$(CONFIG_FB_CLPS711X)         += clps711xfb.o
obj-$(CONFIG_FB_CYBER2000)        += cyber2000fb.o
obj-$(CONFIG_FB_GRVGA)            += grvga.o
obj-$(CONFIG_FB_PM2)              += pm2fb.o
obj-$(CONFIG_FB_PM3)		  += pm3fb.o

obj-$(CONFIG_FB_I740)		  += i740fb.o
obj-$(CONFIG_FB_MATROX)		  += matrox/
obj-$(CONFIG_FB_ATY)		  += aty/ macmodes.o
obj-$(CONFIG_FB_ATY128)		  += aty/ macmodes.o
obj-$(CONFIG_FB_RADEON)		  += aty/
obj-$(CONFIG_FB_SIS)		  += sis/
obj-$(CONFIG_FB_VIA)		  += via/
obj-$(CONFIG_FB_KYRO)             += kyro/
obj-$(CONFIG_FB_SAVAGE)		  += savage/
obj-$(CONFIG_FB_GEODE)		  += geode/
obj-$(CONFIG_FB_MBX)		  += mbx/
obj-$(CONFIG_FB_NEOMAGIC)         += neofb.o
obj-$(CONFIG_FB_3DFX)             += tdfxfb.o
obj-$(CONFIG_FB_CONTROL)          += controlfb.o
obj-$(CONFIG_FB_PLATINUM)         += platinumfb.o
obj-$(CONFIG_FB_VALKYRIE)         += valkyriefb.o
obj-$(CONFIG_FB_CT65550)          += chipsfb.o
obj-$(CONFIG_FB_IMSTT)            += imsttfb.o
obj-$(CONFIG_FB_FM2)              += fm2fb.o
obj-$(CONFIG_FB_VT8623)           += vt8623fb.o
obj-$(CONFIG_FB_TRIDENT)          += tridentfb.o
obj-$(CONFIG_FB_LE80578)          += vermilion/
obj-$(CONFIG_FB_S3)               += s3fb.o
obj-$(CONFIG_FB_ARK)              += arkfb.o
obj-$(CONFIG_FB_STI)              += stifb.o
obj-$(CONFIG_FB_FFB)              += ffb.o sbuslib.o
obj-$(CONFIG_FB_CG6)              += cg6.o sbuslib.o
obj-$(CONFIG_FB_CG3)              += cg3.o sbuslib.o
obj-$(CONFIG_FB_BW2)              += bw2.o sbuslib.o
obj-$(CONFIG_FB_CG14)             += cg14.o sbuslib.o
obj-$(CONFIG_FB_P9100)            += p9100.o sbuslib.o
obj-$(CONFIG_FB_TCX)              += tcx.o sbuslib.o
obj-$(CONFIG_FB_LEO)              += leo.o sbuslib.o
obj-$(CONFIG_FB_ACORN)            += acornfb.o
obj-$(CONFIG_FB_ATARI)            += atafb.o c2p_iplan2.o atafb_mfb.o \
                                     atafb_iplan2p2.o atafb_iplan2p4.o atafb_iplan2p8.o
obj-$(CONFIG_FB_MAC)              += macfb.o
obj-$(CONFIG_FB_HECUBA)           += hecubafb.o
obj-$(CONFIG_FB_N411)             += n411.o
obj-$(CONFIG_FB_HGA)              += hgafb.o
obj-$(CONFIG_FB_XVR500)           += sunxvr500.o
obj-$(CONFIG_FB_XVR2500)          += sunxvr2500.o
obj-$(CONFIG_FB_XVR1000)          += sunxvr1000.o
obj-$(CONFIG_FB_IGA)              += igafb.o
obj-$(CONFIG_FB_APOLLO)           += dnfb.o
obj-$(CONFIG_FB_Q40)              += q40fb.o
obj-$(CONFIG_FB_TGA)              += tgafb.o
obj-$(CONFIG_FB_HP300)            += hpfb.o
obj-$(CONFIG_FB_G364)             += g364fb.o
obj-$(CONFIG_FB_EP93XX)		  += ep93xx-fb.o
obj-$(CONFIG_FB_SA1100)           += sa1100fb.o
obj-$(CONFIG_FB_HIT)              += hitfb.o
obj-$(CONFIG_FB_ATMEL)		  += atmel_lcdfb.o
obj-$(CONFIG_FB_PVR2)             += pvr2fb.o
obj-$(CONFIG_FB_VOODOO1)          += sstfb.o
obj-$(CONFIG_FB_ARMCLCD)	  += amba-clcd.o
obj-$(CONFIG_FB_GOLDFISH)         += goldfishfb.o
obj-$(CONFIG_FB_68328)            += 68328fb.o
obj-$(CONFIG_FB_GBE)              += gbefb.o
obj-$(CONFIG_FB_CIRRUS)		  += cirrusfb.o
obj-$(CONFIG_FB_ASILIANT)	  += asiliantfb.o
obj-$(CONFIG_FB_PXA)		  += pxafb.o
obj-$(CONFIG_FB_PXA168)		  += pxa168fb.o
obj-$(CONFIG_PXA3XX_GCU)	  += pxa3xx-gcu.o
obj-$(CONFIG_MMP_DISP)           += mmp/
obj-$(CONFIG_FB_W100)		  += w100fb.o
obj-$(CONFIG_FB_TMIO)		  += tmiofb.o
obj-$(CONFIG_FB_AU1100)		  += au1100fb.o
obj-$(CONFIG_FB_AU1200)		  += au1200fb.o
obj-$(CONFIG_FB_VT8500)		  += vt8500lcdfb.o
obj-$(CONFIG_FB_WM8505)		  += wm8505fb.o
obj-$(CONFIG_FB_PMAG_AA)	  += pmag-aa-fb.o
obj-$(CONFIG_FB_PMAG_BA)	  += pmag-ba-fb.o
obj-$(CONFIG_FB_PMAGB_B)	  += pmagb-b-fb.o
obj-$(CONFIG_FB_MAXINE)		  += maxinefb.o
obj-$(CONFIG_FB_METRONOME)        += metronomefb.o
obj-$(CONFIG_FB_BROADSHEET)       += broadsheetfb.o
obj-$(CONFIG_FB_AUO_K190X)	  += auo_k190x.o
obj-$(CONFIG_FB_AUO_K1900)	  += auo_k1900fb.o
obj-$(CONFIG_FB_AUO_K1901)	  += auo_k1901fb.o
obj-$(CONFIG_FB_S1D13XXX)	  += s1d13xxxfb.o
obj-$(CONFIG_FB_SH7760)		  += sh7760fb.o
obj-$(CONFIG_FB_IMX)              += imxfb.o
obj-$(CONFIG_FB_S3C)		  += s3c-fb.o
obj-$(CONFIG_FB_S3C2410)	  += s3c2410fb.o
obj-$(CONFIG_FB_FSL_DIU)	  += fsl-diu-fb.o
obj-$(CONFIG_FB_COBALT)           += cobalt_lcdfb.o
obj-$(CONFIG_FB_IBM_GXT4500)	  += gxt4500.o
obj-$(CONFIG_FB_PS3)		  += ps3fb.o
obj-$(CONFIG_FB_SM501)            += sm501fb.o
obj-$(CONFIG_FB_UDL)		  += udlfb.o
obj-$(CONFIG_FB_SMSCUFX)	  += smscufx.o
obj-$(CONFIG_FB_XILINX)           += xilinxfb.o
obj-$(CONFIG_SH_MIPI_DSI)	  += sh_mipi_dsi.o
obj-$(CONFIG_FB_SH_MOBILE_HDMI)	  += sh_mobile_hdmi.o
obj-$(CONFIG_FB_SH_MOBILE_MERAM)  += sh_mobile_meram.o
obj-$(CONFIG_FB_SH_MOBILE_LCDC)	  += sh_mobile_lcdcfb.o
obj-$(CONFIG_FB_OMAP)             += omap/
obj-y                             += omap2/
obj-$(CONFIG_XEN_FBDEV_FRONTEND)  += xen-fbfront.o
obj-$(CONFIG_FB_CARMINE)          += carminefb.o
obj-$(CONFIG_FB_MB862XX)	  += mb862xx/
obj-$(CONFIG_FB_MSM)              += msm/
obj-$(CONFIG_FB_NUC900)           += nuc900fb.o
obj-$(CONFIG_FB_JZ4740)		  += jz4740_fb.o
obj-$(CONFIG_FB_PUV3_UNIGFX)      += fb-puv3.o
obj-$(CONFIG_FB_HYPERV)		  += hyperv_fb.o
obj-$(CONFIG_FB_OPENCORES)	  += ocfb.o

# Platform or fallback drivers go here
obj-$(CONFIG_FB_UVESA)            += uvesafb.o
obj-$(CONFIG_FB_VESA)             += vesafb.o
obj-$(CONFIG_FB_EFI)              += efifb.o
obj-$(CONFIG_FB_VGA16)            += vga16fb.o
obj-$(CONFIG_FB_OF)               += offb.o
obj-$(CONFIG_FB_BF537_LQ035)      += bf537-lq035.o
obj-$(CONFIG_FB_BF54X_LQ043)	  += bf54x-lq043fb.o
obj-$(CONFIG_FB_BFIN_LQ035Q1)     += bfin-lq035q1-fb.o
obj-$(CONFIG_FB_BFIN_T350MCQB)	  += bfin-t350mcqb-fb.o
obj-$(CONFIG_FB_BFIN_7393)        += bfin_adv7393fb.o
obj-$(CONFIG_FB_MX3)		  += mx3fb.o
obj-$(CONFIG_FB_DA8XX)		  += da8xx-fb.o
obj-$(CONFIG_FB_MXS)		  += mxsfb.o
obj-$(CONFIG_FB_SSD1307)	  += ssd1307fb.o
obj-$(CONFIG_FB_SIMPLE)           += simplefb.o

# the test framebuffer is last
obj-$(CONFIG_FB_VIRTUAL)          += vfb.o

=== debian/changelog ===
linux (3.16.81-1) jessie-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.77
    - ath6kl: fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe()
      (CVE-2019-15098)
    - media: usb:zr364xx:Fix KASAN:null-ptr-deref Read in
      zr364xx_vidioc_querycap (CVE-2019-15217)
    - media: technisat-usb2: break out of loop at end of buffer
      (CVE-2019-15505)
    - ax25: enforce CAP_NET_RAW for raw sockets (CVE-2019-17052)
    - ieee802154: enforce CAP_NET_RAW for raw sockets (CVE-2019-17053)
    - appletalk: enforce CAP_NET_RAW for raw sockets (CVE-2019-17054)
    - mISDN: enforce CAP_NET_RAW for raw sockets (CVE-2019-17055)
    - nfc: enforce CAP_NET_RAW for raw sockets (CVE-2019-17056)
    - cfg80211: wext: avoid copying malformed SSIDs (CVE-2019-17133)
    - rtlwifi: Fix potential overflow on P2P code (CVE-2019-17666)
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.78
    - hwmon: (nct6775) Fix register address and added missed tolerance for
      nct6106
    - [x86] sysfb_efi: Add quirks for some devices with swapped width and
      height
    - [armhf] mmc: mmc_spi: Enable stable writes
    - ALSA: compress: Fix regression on compressed capture streams
    - can: peak_usb: fix potential double kfree_skb()
    - [x86] usb: pci-quirks: Correct AMD PLL quirk detection
    - usb: wusbcore: fix unbalanced get/put cluster_id
    - [x86] speculation/mds: Apply more accurate check on hypervisor platform
    - [x86] hpet: Fix division by zero in hpet_time_div()
    - sched/fair: Don't free p->numa_faults with concurrent readers
    - tty/ldsem, locking/rwsem: Add missing ACQUIRE to read_failed sleep loop
    - bnx2x: Disable multi-cos feature.
    - net: sched: Fix a possible null-pointer dereference in dequeue_func()
    - net: fix ifindex collision during namespace removal
    - libata: zpodd: Fix small read overflow in zpodd_get_mech_type()
    - selinux: fix memory leak in policydb_init()
    - net: bridge: mcast: don't delete permanent entries when fast leave is
      enabled
    - xen/swiotlb: fix condition for calling xen_destroy_contiguous_region()
    - can: peak_usb: pcan_usb_pro: Fix info-leaks to USB devices
      (CVE-2019-19536)
    - asm-generic: fix -Wtype-limits compiler warnings
    - NFSv4: Fix a potential sleep while atomic in nfs4_do_reclaim()
    - USB: serial: option: Add support for ZTE MF871A
    - usb: yurex: Fix use-after-free in yurex_delete (CVE-2019-19531)
    - SMB3: Fix deadlock in validate negotiate hits reconnect
    - smb3: send CAP_DFS capability during session setup
    - sound: fix a memory leak bug
    - ALSA: firewire: fix a memory leak bug
    - ALSA: hda - Fix a memory leak bug
    - [x86] staging: comedi: dt3000: Fix signed integer overflow 'divider *
      base'
    - [x86] staging: comedi: dt3000: Fix rounding up of timer divisor
    - USB: core: Fix races in character device registration and deregistraion
      (CVE-2019-19537)
    - netfilter: conntrack: Use consistent ct id hash calculation
    - sctp: fix the transport error_count check
    - USB: serial: option: Add Motorola modem UARTs
    - usb: cdc-acm: make sure a refcount is taken early enough
      (CVE-2019-19530)
    - net/packet: fix race in tpacket_snd()
    - Revert "cfg80211: fix processing world regdomain when non modular"
    - usb-storage: Add new JMS567 revision to unusual_devs
    - dm btree: fix order of block initialization in btree_split_beneath
    - dm space map metadata: fix missing store of apply_bops() return value
    - dm table: fix invalid memory accesses with too high sector number
    - [i386] retpoline: Don't clobber RFLAGS during CALL_NOSPEC on i386
    - batman-adv: Only read OGM tvlv_len after buffer len check
    - ALSA: seq: Fix potential concurrent access to the deleted pool
    - [x86] ptrace: Make user_64bit_mode() available to 32-bit builds
    - [x86] uprobes: Fix detection of 32-bit user mode
    - [x86] apic: Do not initialize LDR and DFR for bigsmp
    - [x86] apic: Drop logical_smp_processor_id() inline
    - [i386] apic: Avoid bogus LDR warnings
    - usb: host: ohci: fix a race condition between shutdown and irq
    - USB: storage: ums-realtek: Update module parameter description for
      auto_delink_en
    - USB: storage: ums-realtek: Whitelist auto-delink support
    - USB: cdc-wdm: fix race between write and disconnect due to flag abuse
    - [x86] VMCI: Release resource if the work is already queued
    - mld: fix memory leak in mld_del_delrec()
    - ALSA: hda - Fix potential endless loop at applying quirks
    - mmc: core: Fix init of SD cards reporting an invalid VDD range
    - net: seeq: Fix the function used to release some memory in an error
      handling path
    - sched/fair: Don't assign runtime for throttled cfs_rq
    - sctp: use transport pf_retrans in sctp_do_8_2_transport_strike
    - genirq: Prevent NULL pointer dereference in resend_irqs()
    - keys: Fix missing null pointer check in request_key_auth_describe()
    - sch_hhf: ensure quantum and hhf_non_hh_weight are non-zero
    - tcp: fix tcp_ecn_withdraw_cwr() to clear TCP_ECN_QUEUE_CWR
    - tun: fix use-after-free when register netdev failed
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - net: Fix null de-reference of device refcount
    - sctp: Fix the link time qualifier of 'sctp_ctrlsock_exit()'
    - [x86] KVM: nVMX: handle page fault in vmread
    - [x86] KVM: work around leak of uninitialized stack contents
    - [armhf] PCI: tegra: Enable Relaxed Ordering only for Tegra20 & Tegra30
    - alarmtimer: Use EOPNOTSUPP instead of ENOTSUPP
    - cifs: use cifsInodeInfo->open_file_lock while iterating to avoid a panic
    - CIFS: Fix use after free of file info structures
    - md/raid: raid5 preserve the writeback action after the parity check
    - btrfs: partially apply b8b93addde
    - btrfs: volumes: Cleanup stripe size calculation


## linux 3.16.84

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 16
-SUBLEVEL = 81
+SUBLEVEL = 84
 EXTRAVERSION =
 NAME = Museum of Fishiegoodies

=== debian/changelog ===
linux (3.16.84-1~deb7u1) wheezy-lts-kernel; urgency=high

  * New upstream stable update.
  * Backport version 3.16.84-1 from Jessie to Wheezy.

 -- Markus Koschany <apo@debian.org>  Fri, 12 Jun 2020 12:10:04 +0200

linux (3.16.84-1) jessie-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.82
    - ALSA: line6: Drop superfluous snd_device for PCM
    - ALSA: line6: Fix memory leak at line6_init_pcm() error path
    - pstore/ram: Write new dumps to start of recycled zones
    - [armhf] net: davinci_cpdma: use dma_addr_t for DMA address
    - [armhf] stmmac: fix oversized frame reception
    - [armhf] net: stmmac: use correct DMA buffer size in the RX descriptor
    - [armhf] net: stmmac: don't stop NAPI processing when dropping a packet
    - workqueue: Fix spurious sanity check failures in destroy_workqueue()
    - ath9k_hw: fix uninitialized variable data
    - ar5523: check NULL before memcpy() in ar5523_cmd()
    - [i386] drm/i810: Prevent underflow in ioctl
    - usbvision: remove power_on_at_open and timed power off
    - usbvision-video: two use after frees
    - usbvision: fix locking error
    - media: usbvision: Fix invalid accesses after device disconnect
    - media: usbvision: Fix races among open, close, and disconnect
    - sunrpc: fix crash when cache_head become valid before update
    - [x86] PCI: Fix Intel ACS quirk UPDCR register address
    - Bluetooth: hci_core: fix init for HCI_USER_CHANNEL
    - compat_ioctl: handle SIOCOUTQNSD
    - [x86] ioapic: Prevent inconsistent state when moving an interrupt
    - xfs: Sanity check flags of Q_XQUOTARM call
    - cpuidle: Do not unset the driver if it is there already
    - scsi: csiostor: Don't enable IRQs too early
    - scsi: esas2r: unlock on error in esas2r_nvram_read_direct()
    - [armhf] clk: samsung: exynos5420: Preserve CPU clocks configuration
      during suspend/resume
    - quota: fix livelock in dquot_writeback_dquots
    - quota: Check that quota is not dirty before release
    - scsi: core: scsi_trace: Use get_unaligned_be*()
    - blk-mq: fix deadlock when reading cpu_list
    - blk-mq: avoid sysfs buffer overflow with too many CPU cores
    - blk-mq: make sure that line break can be printed
    - [x86] staging: rtl8192e: fix potential use after free
    - jbd2: Fix possible overflow in jbd2_log_space_left()
    - bnx2x: Enable Multi-Cos feature.
    - PM / devfreq: Lock devfreq in trans_stat_show
    - scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and
      WRITE(6)
    - [x86] usb: gadget: pch_udc: fix use after free
    - usb: Allow USB device to be warm reset in suspended state
    - appledisplay: fix error handling in the scheduled work
    - inetpeer: fix data-race in inet_putpeer / inet_putpeer
    - [x86] drm/i915/userptr: Try to acquire the page lock around
      set_page_dirty()
    - USB: serial: mos7720: fix remote wakeup
    - USB: serial: mos7840: fix remote wakeup
    - fuse: verify attributes
    - fuse: verify nlink
    - ASoC: Jack: Fix NULL pointer dereference in snd_soc_jack_report
    - scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences
    - [armhf] tty: serial: imx: use the sg count from dma_map_sg
    - RDMA/srpt: Report the SCSI residual to the initiator
    - futex: Prevent robust futex exit race
    - [x86] speculation: Fix incorrect MDS/TAA mitigation status
    - Btrfs: fix negative subv_writers counter and data space leak after
      buffered write
    - btrfs: check page->mapping when loading free space cache
    - Bluetooth: delete a stray unlock
    - ext4: work around deleting a file with i_nlink == 0 safely
      (CVE-2019-19447)
    - [x86] scsi: qla4xxx: fix double free bug
    - scsi: bnx2i: fix potential use after free
    - iwlwifi: check kasprintf() return value
    - serial: serial_core: Perform NULL checks for break_ctl ops
    - [x86] KVM: fix presentation of TSX feature in ARCH_CAPABILITIES
    - [x86] KVM: do not modify masked bits of shared MSRs
    - [x86] PCI: Avoid AMD FCH XHCI USB PME# from D0 defect
    - [i386] ALSA: cs4236: fix error return comparison of an unsigned integer
    - drm/radeon: fix bad DMA from INTERRUPT_CNTL2
    - tty: vt: keyboard: reject invalid keycodes
    - CIFS: Respect O_SYNC and O_DIRECT flags during reconnect
    - CIFS: Fix SMB2 oplock break processing
    - [x86] platform: hp-wmi: Fix ACPI errors caused by too small buffer
    - [x86] platform: hp-wmi: Fix ACPI errors caused by passing 0 as input size
    - macvlan: schedule bc_work even if error
    - PCI/MSI: Fix incorrect MSI-X masking on resume
    - [x86] ACPI / osl: speedup grace period in acpi_os_map_cleanup
    - [x86] ACPI: OSL: only free map once in osl.c
    - [x86] ACPI: bus: Fix NULL pointer check in acpi_bus_get_private_data()
    - openvswitch: drop unneeded BUG_ON() in ovs_flow_cmd_build_info()
    - openvswitch: remove another BUG_ON()
    - cifs: Fix cifsInodeInfo lock_sem deadlock when reconnect occurs
    - CIFS: Fix NULL-pointer dereference in smb2_push_mandatory_locks
    - net: bridge: deny dev_set_mac_address() when unregistering
    - drm/radeon: fix r1xx/r2xx register checker for POT textures
    - xen/blkback: Avoid unmapping unmapped grant pages
    - hrtimer: Get rid of the resolution field in hrtimer_clock_base
    - ALSA: pcm: oss: Avoid potential buffer overflows
    - tcp: md5: fix potential overestimation of TCP option space
    - tcp: syncookies: extend validity range
    - tcp: fix rejected syncookies due to stale timestamps
    - tcp: Protect accesses to .ts_recent_stamp with {READ,WRITE}_ONCE()
    - inet: protect against too small mtu values.
    - deb-pkg: remove obsolete -isp option to dpkg-gencontrol
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.83
    - libertas: don't exit from lbs_ibss_join_existing() with RCU read lock
      held
    - libertas: make lbs_ibss_join_existing() return error code on rates


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.9-backport (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.6 [armel armhf ia64 mips mipsel powerpc s390 s390x sparc]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Homepage: https://www.kernel.org/

Package: linux-source-3.16
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.16 with Debian patches
 This package provides source code for the Linux kernel version 3.16. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.16
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.16
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.16.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.16/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.16
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.16
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.16.0-11
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.16
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.16.0-11-all
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends: linux-headers-3.16.0-11-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16.0-11-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.16.0-11-amd64 (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: nic-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.16.0-11-amd64-di, nic-shared-modules-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, i2c-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: nic-wireless-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.16.0-11-amd64-di, nic-shared-modules-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, usb-modules-3.16.0-11-amd64-di, mmc-modules-3.16.0-11-amd64-di, pcmcia-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: nic-shared-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: serial-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.16.0-11-amd64-di, pcmcia-modules-3.16.0-11-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: usb-serial-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.16.0-11-amd64-di, usb-modules-3.16.0-11-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: ppp-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.16.0-11-amd64-di, serial-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: pata-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.16.0-11-amd64-di, ata-modules-3.16.0-11-amd64-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: cdrom-core-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, isofs-modules-3.16.0-11-amd64-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: firewire-core-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: firewire-core-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-core-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, scsi-common-modules-3.16.0-11-amd64-di, cdrom-core-modules-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, ata-modules-3.16.0-11-amd64-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-common-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, cdrom-core-modules-3.16.0-11-amd64-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-extra-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: loop-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: btrfs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di, md-modules-3.16.0-11-amd64-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: ext4-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: isofs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: jfs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: jfs-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: JFS filesystem support
 This package contains the JFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: ntfs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: ntfs-modules
